Debian Bug report logs - #593186
config/chroot_local-packages/foo.deb cannot be a symlink

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Mon, 16 Aug 2010 04:06:01 UTC

Severity: minor

Found in version live-build/2.0~a23-1

Fixed in version live-build/2.0~a29-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#593186; Package live-build. (Mon, 16 Aug 2010 04:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 Aug 2010 04:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: config/chroot_local-packages/foo.deb cannot be a symlink
Date: Mon, 16 Aug 2010 14:02:54 +1000
Package: live-build
Version: 2.0~a23-1
Severity: minor

chroot_sources uses cp -l to copy packages from
config/chroot_local-packages/ into the chroot.  This breaks when
packages are symlinks.

Example:

    # ls -l config/chroot_local-packages/*deb
    lrwxrwxrwx 1 root disk 46 Aug 16 13:58 config/chroot_local-packages/linux-image-2.6.35_2.6.35-1_amd64.deb -> /usr/src/linux-image-2.6.35_2.6.35-1_amd64.deb

Generates output from "lh build":

    # lh build
    [...]
    P: Configuring file /etc/apt/sources.list

    W: Unable to stat ./linux-image-2.6.35_2.6.35-1_amd64.deb

    W: Unable to stat ./linux-image-2.6.35_2.6.35-1_amd64.deb
    gpg: /root/.gnupg/trustdb.gpg: trustdb created
    OK
    [...]
    P: Begin install linux-image...
    cp: cannot stat `chroot/boot/vmlinuz-*': No such file or directory
    P: Begin unmounting filesystems...

Perhaps chroot_sources should use CP_OPTIONS=-lL.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35 (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap                   1.0.23     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-1 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-build suggests:
pn  dosfstools                    <none>     (no description available)
ii  fakeroot                      1.14.4-1   Gives a fake root environment
pn  genisoimage                   <none>     (no description available)
pn  memtest86+ | memtest86        <none>     (no description available)
pn  mtools                        <none>     (no description available)
ii  parted                        2.3-1      The GNU Parted disk partition resi
ii  squashfs-tools                1:4.0-8    Tool to create and append to squas
ii  sudo                          1.7.2p7-1  Provide limited super user privile
pn  syslinux | grub               <none>     (no description available)
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information

-- debsums errors found:
debsums: changed file /usr/share/live/build/scripts/build/bootstrap_debootstrap (from live-build package)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#593186; Package live-build. (Thu, 16 Sep 2010 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 16 Sep 2010 16:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 593186@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 593186@bugs.debian.org
Subject: Re: config/chroot_local-packages/foo.deb cannot be a symlink
Date: Thu, 16 Sep 2010 18:20:57 +0200
tag 593186 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 16 Sep 2010 16:24:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 16 Sep 2010 19:36:06 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Thu, 16 Sep 2010 19:36:06 GMT) Full text and rfc822 format available.

Message #17 received at 593186-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 593186-close@bugs.debian.org
Subject: Bug#593186: fixed in live-build 2.0~a29-1
Date: Thu, 16 Sep 2010 19:32:11 +0000
Source: live-build
Source-Version: 2.0~a29-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0~a29-1_all.deb
  to main/l/live-build/live-build-cgi_2.0~a29-1_all.deb
live-build_2.0~a29-1.diff.gz
  to main/l/live-build/live-build_2.0~a29-1.diff.gz
live-build_2.0~a29-1.dsc
  to main/l/live-build/live-build_2.0~a29-1.dsc
live-build_2.0~a29-1_all.deb
  to main/l/live-build/live-build_2.0~a29-1_all.deb
live-build_2.0~a29.orig.tar.gz
  to main/l/live-build/live-build_2.0~a29.orig.tar.gz
live-helper_2.0~a29-1_all.deb
  to main/l/live-build/live-helper_2.0~a29-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Sep 2010 21:13:58 +0200
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0~a29-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 581252 593186
Changes: 
 live-build (2.0~a29-1) unstable; urgency=low
 .
   * Updating auto/scripts handling.
   * Adding somewhat prettier header in /etc/apt/sources.list.
   * Fixing lb_binary_syslinux to add quiet for the default live entries.
   * Correcting typo in lb_config when cleaning up auto/config.
   * Adding support for inclusion of the debian-backports repository.
   * Correcting freudian typo when reading in config files.
   * Correcting to narrow pattern for counting kernel images (Closes:
     #581252).
   * Updating kernel images number when installing them into live media.
   * Also populating config tree automatically when calling other top-
     level commands apart from lb_build.
   * Allowing also symlinks in chroot_local-packages (Closes: #593186).
   * Correcting typo in binary sources.list creating.
Checksums-Sha1: 
 35eeb7d6384f22d82c6ac8a20c2a115364b2d703 1275 live-build_2.0~a29-1.dsc
 b1f4902c83dd5510bde5c618ff7b9c45bad68012 2136001 live-build_2.0~a29.orig.tar.gz
 7dd3ce3b02f3ae2003ac9482b69ffd00e290ee4b 42290 live-build_2.0~a29-1.diff.gz
 e22811b75a389e4d6d1791e4ee635852f1b4f6df 1192450 live-build_2.0~a29-1_all.deb
 b62478d2b68bee2a7dceaf6877c1bd5dfa58f7a1 59534 live-build-cgi_2.0~a29-1_all.deb
 3879e207d6a37a530046359bd125e4b5587ddb9d 54796 live-helper_2.0~a29-1_all.deb
Checksums-Sha256: 
 677e7731f46af131bc37a4f819fe04986fad62800424b02bfd4809fee3b33443 1275 live-build_2.0~a29-1.dsc
 f60507183d5003fc3c831c72edcfa5e004be31c808792a6f7db51c7c159ed33b 2136001 live-build_2.0~a29.orig.tar.gz
 c18231013014a66703f9689896e122620724aa89f79082118fcdda1a14b85ae9 42290 live-build_2.0~a29-1.diff.gz
 fac0e12f71aa3a04c4a72cb034ecb34f69cea5e1ef1bc384ee809c9b13f09d23 1192450 live-build_2.0~a29-1_all.deb
 04cc56c964a883cc49af53319e484854cfd9bf794181fd9c98cda7bd93e1d1f0 59534 live-build-cgi_2.0~a29-1_all.deb
 331264f0e07b506565dfb802a7328a26f686c597d0f4f01527b6a92bbb50954e 54796 live-helper_2.0~a29-1_all.deb
Files: 
 c887a4c6bb64fa708c00e4c96a3be681 1275 misc optional live-build_2.0~a29-1.dsc
 ec3b8d7a3331bab66409b217f57f185c 2136001 misc optional live-build_2.0~a29.orig.tar.gz
 00c55138cb71c1ddc47860ef31a97592 42290 misc optional live-build_2.0~a29-1.diff.gz
 0fcf16216f9b5a0e6dfecce391c64f8a 1192450 misc optional live-build_2.0~a29-1_all.deb
 60c694b4f5027b90b398f5bb5cb76b8e 59534 misc optional live-build-cgi_2.0~a29-1_all.deb
 8d56698e89fa76bcbb0b8b11fcd3d8ff 54796 misc optional live-helper_2.0~a29-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkySbygACgkQ+C5cwEsrK57hYgCeOQwZ9QxZTwYEu2V7aMtmyDfE
QawAn3FimxDMsXKh2zgop+tAd/RN8rVp
=IY8q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Oct 2010 07:36:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:36:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.